*This project is part of the [Simple Animations Framework](https://pub.dev/packages/simple_animations)*

# 🍹 Liquid

Liquid provides beautiful visual animations that increases the visual quality of your Flutter application.


## 🌞 Highlights

- **[Liquid Studio](https://felixblaschke.github.io/liquid-studio)** for a simple animation creation and discovery
- Use as animations or static backgrounds

## ⛏ Usage

🛈 *The following code snippets use [**supercharged**](https://pub.dev/packages/supercharged) for syntactic sugar.*

### Getting started

Add **Simple Animations** to your project by following the instructions on the 
**[install page](https://pub.dev/packages/simple_animations/install)**.

To learn how to use Liquid:

- Continue reading this page
- Explore and create Liquid animations with **[Liquid Studio](https://felixblaschke.github.io/liquid-studio)**


### Plasma

Plasma is a `Widget` that creates an animation with moving particles that generates a smooth liquid effect. It can be configured in many styles. 

You can also use a non-animating variant to generate a fancy background image. Therefor set `speed` to `0.0` and choose nice position by tuning the `offset`.


![plasma](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_liquid/plasma-example.gif)


Use the **[Plasma creator in Liquid Studio](https://felixblaschke.github.io/liquid-studio/#/plasma)** to create an animation.

Hit the **Generate code** button and copy the code into your Flutter app.

![generate_code](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_liquid/generate_code.png)